import { defineUI } from "queenjs";
import components from "..";
import { useEditor } from "../..";

export default defineUI({
  setup() {
    const editor = useEditor();
    const { store } = editor;
    return () => {
      const { content } = store.designData;
      return (
        <div>
          {content.map((d) => {
            const Comp = components.CompUI[d.compKey];
            return (
              <Comp
                key={d.id}
                data-id={d.id}
                {...(d.props || {})}
                style={d.style}
                v-model={[d.value, "value"]}
              />
            );
          })}
        </div>
      );
    };
  },
});
