import { Input } from "ant-design-vue";
import { get, set } from "lodash";
import { defineComponent } from "vue";
import { any } from "vue-types";

const layoutOptions = [
  {
    label: "外边距",
    dataIndex: "style.margin",
  },
  {
    label: "内边距",
    dataIndex: "style.padding",
  },
];

export function createAttrsHoc(
  options: { label: string; dataIndex: string }[]
) {
  return defineComponent({
    props: {
      component: any(),
    },
    emits: ["update:component"],
    setup(props, { emit }) {
      return () => (
        <div>
          {layoutOptions.concat(options).map((d) => {
            const val = get(props.component, d.dataIndex);
            return (
              <div>
                <div>{d.label}</div>
                <Input
                  value={val}
                  onChange={(e) => {
                    set(props.component, d.dataIndex, e.target.value);
                    emit("update:component", props.component);
                  }}
                />
              </div>
            );
          })}
        </div>
      );
    },
  });
}
