import { queenApi } from "queenjs";
import { ResourceModule } from "..";

export const materialActions = ResourceModule.action({
  async uploadMaterial() {
    const [blob] = await queenApi.selectFile({ accept: "image/*, video/*" });

    // const url = URL.createObjectURL(blob);
    // const data = { url, size: blob.size };
    // await this.controls.uploader.uploadBlobs(data, {
    //   createPathKey: this.helpers.createFileName,
    // });

    const data = await this.controls.uploader.uploadFile(blob, "queenshow");

    const souceObj = {
      file: data,
      fileType: blob.type.split("/")[0],
      from: "upload",
    };
    await this.https.createResource(souceObj);
    this.store.setSourceType(souceObj.fileType);
    this.controls.materialListCtrl.state.query = {
      fileType: this.store.type,
    };
    this.controls.materialListCtrl.loadPage(1);
  },

  async deleteMaterial(record) {
    const res = await queenApi.showConfirm({
      content: `删除后不可恢复，是否要删除此素材？`,
      type: "danger",
    });
    if (!res) return;
    await this.https.deleteResource(record._id);
    this.controls.materialListCtrl.fresh();
  },

  downloadMaterial(record) {
    window.open(record.file.url);
  },

  async selectMaterial(record) {
    const url = `${location.origin}/index.html#/editor/${record._id}`;
    location.href = url;
  },

  async queryTplsDetail(id) {
    const res = await this.https.queryTplsDetail(id);
    this.store.setSourceDetail(res.result);
  },
  async submitRender() {
    //
  },
});
