import { useResource } from "@/modules/resource";
import { Button } from "ant-design-vue";
import { defineComponent, onMounted } from "vue";
import AssetsList from "../components/AssetsList";

export default defineComponent({
  setup() {
    const resource = useResource();
    onMounted(() => {
      resource.controls.promotionListCtrl.loadPage(1);
    });

    return () => {
      return (
        <div>
          <div class="flex items-center justify-between">
            <h3 class="text-22px">我的推广</h3>
            <Button type="primary" onClick={resource.actions.createPromotion}>
              新增+
            </Button>
          </div>
          <AssetsList
            gap="25px"
            class="my-30px"
            columns={4}
            control={resource.controls.promotionListCtrl}
            item={(record: any) => (
              <resource.components.PromotionItem record={record} />
            )}
          />
        </div>
      );
    };
  },
});
